document.addEventListener('DOMContentLoaded', () => {
  // Add smooth scrolling for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Add mobile menu toggle
  const createMobileMenu = () => {
    const nav = document.querySelector('nav');
    const burger = document.createElement('button');
    burger.className = 'mobile-menu-button';
    burger.innerHTML = '☰';
    burger.style.display = 'none';
    
    const mobileBreakpoint = window.matchMedia('(max-width: 768px)');
    
    const handleMobileMenu = (e) => {
      if (e.matches) {
        burger.style.display = 'block';
      } else {
        burger.style.display = 'none';
        document.querySelector('.nav-links').style.display = 'flex';
      }
    };

    mobileBreakpoint.addListener(handleMobileMenu);
    handleMobileMenu(mobileBreakpoint);

    burger.addEventListener('click', () => {
      const navLinks = document.querySelector('.nav-links');
      navLinks.style.display = navLinks.style.display === 'none' ? 'flex' : 'none';
    });

    nav.prepend(burger);
  };

  createMobileMenu();
});
